| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1674A.ino File Reference
Switching Regulators, Battery Chargers, and LED Drivers » LTC4155: Dual-Input Power Manager / 3.5A Li-Ion Battery Charger with I²C Control and USB OTG

LTC4155: Dual-Input Power Manager / 3.5A Li-Ion Battery Charger with I²C Control and USB OTG. More...

## Detailed Description

LTC4155: Dual-Input Power Manager / 3.5A Li-Ion Battery Charger with I²C Control and USB OTG.

    The LTC®4155 is a 15 watt I²C controlled power manager with PowerPath™ instant-
    on operation, high efficiency switching battery charging and USB compatibility.
    The LTC4155 seamlessly manages power distribution from two 5V sources, such as a
    USB port and a wall adapter, to a single-cell rechargeable Lithium-Ion/Polymer
    battery and a system load.

http://www.linear.com/product/LTC4155

http://www.linear.com/product/LTC4155#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Generated on: 2016-01-19

Arduino Example

This is an example sketch to demonstrate use of the API with the Linduino. In addition to the sketch, the following files are required:: LTC4155.c LTC4155.h LTC4155_reg_defs.h

Definition in file DC1674A.ino.

Go to the source code of this file.

## Functions
static int | read_register (uint8_t addr, uint8_t command_code, uint8_t *data, port_configuration_t *port_configuration)
| read_register function wraps C++ method LT_SMBus::readByte and places the returned data in *data. More...
static int | write_register (uint8_t addr, uint8_t command_code, uint8_t data, port_configuration_t *port_configuration)
| write_register function wraps C++ method LT_SMBus::writeByte. More...
static void | setup ()
static void | loop ()

## Variables
static LT_SMBus * | smbus = new LT_SMBusNoPec()
LTC4155_chip_cfg_t | cfg
LTC4155 | chip
static uint8_t | data

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 99 of file DC1674A.ino.

## ◆ read_register()

static int read_register | ( | uint8_t | addr,
|  | uint8_t | command_code,
|  | uint8_t * | data,
|  | port_configuration_t * | port_configuration
| ) |  |
| static

read_register function wraps C++ method LT_SMBus::readByte and places the returned data in *data.

Definition at line 119 of file DC1674A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 91 of file DC1674A.ino.

## ◆ write_register()

static int write_register | ( | uint8_t | addr,
|  | uint8_t | command_code,
|  | uint8_t | data,
|  | port_configuration_t * | port_configuration
| ) |  |
| static

write_register function wraps C++ method LT_SMBus::writeByte.

Definition at line 127 of file DC1674A.ino.

## Variable Documentation

## ◆ cfg

LTC4155_chip_cfg_t cfg

Initial value:
=
{
LTC4155_ADDR_09,
read_register,
write_register,
0
}
LTC4155_ADDR_09
#define LTC4155_ADDR_09
LTC4155 I2C address in 7-bit format.
Definition: LTC4155_reg_defs.h:77
read_register
static int read_register(uint8_t addr, uint8_t command_code, uint8_t *data, port_configuration_t *port_configuration)
read_register function wraps C++ method LT_SMBus::readByte and places the returned data in *data...
Definition: DC1674A.ino:119
write_register
static int write_register(uint8_t addr, uint8_t command_code, uint8_t data, port_configuration_t *port_configuration)
write_register function wraps C++ method LT_SMBus::writeByte.
Definition: DC1674A.ino:127

Definition at line 79 of file DC1674A.ino.

## ◆ chip

LTC4155 chip

Definition at line 88 of file DC1674A.ino.

## ◆ data

uint8_t data
| static

Definition at line 89 of file DC1674A.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusNoPec()
| static

Definition at line 74 of file DC1674A.ino.